petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkGetComponentDataArray

Returns the component data array

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetComponentDataArray(DM dm,DMNetworkComponentGenericDataType **componentdataarray)

Not Collective Many br

### Input Parameters

dm -The DMNetwork Object Many br

### Output Parameters

componentdataarray -array that holds data for all components Many br

Many br

### See Also

DMNetworkGetComponentTypeOffset, DMNetworkGetNumComponents

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages